﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace PrintComboBoxes
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{

		public DataTable PrintJobs
		{
			get;
			private set;
		}

		public Window1()
		{
			InitializeComponent();

			PrintJobs = GetData();
			RadGridView1.ItemsSource = PrintJobs;
		}

		private DataTable GetData()
		{
			var result = new DataTable();
			result.Columns.Add("Description", typeof(string));
			result.Columns.Add("Server", typeof(string));
			result.Columns.Add("Printer", typeof(string));
			result.Columns.Add("Tray", typeof(string));

			result.Rows.Add("PrintJob 1", "Server1", "Printer1.1", "Tray1.1.1");
			result.Rows.Add("PrintJob 2", "Server1", "Printer1.2", "Tray1.2.1");
			result.Rows.Add("PrintJob 3", "Server1", "Printer1.1", "Tray1.1.2");
			result.Rows.Add("PrintJob 4", "Server2", "Printer2.1", "Tray2.1.1");
			result.Rows.Add("PrintJob 5", "Server2", "Printer2.2", "Tray2.2.2");

			return result;
		}

		private void GetConfig_Click(object sender, RoutedEventArgs e)
		{
			var buffer = new StringBuilder();
			foreach (DataRow row in this.PrintJobs.Rows)
			{
				buffer.AppendFormat("config: {0} {1} {2} {3} \n", row.ItemArray);
			}

			MessageBox.Show(buffer.ToString());
		}
	}
}
